# Outline

Wiki and knowledge base for growing teams

<!-- metadata -->

* **Category**: Apps
* **Status**:
* **Image**: [outlinewiki/outline](https://hub.docker.com/r/outlinewiki/outline)
* **Healthcheck**:
* **Backups**:
* **Email**:
* **Tests**:
* **SSO**:

<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new ${REPO_NAME} --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app config YOURAPPNAME` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app deploy YOURAPPNAME`
7. Open the configured domain in your browser to finish set-up

[`abra`]: https://git.coopcloud.tech/coop-cloud/abra
[`coop-cloud/traefik`]: https://git.coopcloud.tech/coop-cloud/traefik

## Tips & Tricks

### Post-deploy migration

```
abra app run YOURAPPNAME app sh
export DATABASE_PASSWORD=$(cat /run/secrets/db_password)
export DATABASE_URL="postgres://outline:${DATABASE_PASSWORD}@${STACK_NAME}_postgres:5432/outline"
yarn db:migrate --env=production-ssl-disabled
```

### Setting up your `.env` config

Don't use quotes (`"..."`), the NodeJS scripts flip out for some reason.
